[SciPy-Dev] test output 0.7.2rc1

David Cournapeau david@silveregg.co...
Thu Apr 1 23:33:02 CDT 2010


Ralf Gommers wrote:

> 
> Default gcc on Snow Leopard is 4.2, which does not work with the 10.4 SDK.
> When we discussed this before you thought that my SDK was broken, but that
> is not the case. It is linked to http://bugs.python.org/issue6957. That
> issue was closed but not actually resolved - just ignored because python
> itself is still built on OS X 10.5. There are bug reports and threads for
> many python extensions about this issue.

I seem to remember that installing the 10.4 SDK fixed the issue. Maybe I 
had CC defined to gcc 4.0. I will have to check at home on my macbook.

> But I don't have that available.

At worst, you could install a 10.4 chroot somewhere if you have access 
to a 10.4 (http://www.kwm-web.info/macos_x_chroot_howto) but that is 
kinda overkill (although quite useful for testing),

David


More information about the SciPy-Dev mailing list